Keyboard layout not applied on the shell

Bug #1626435 reported by Michał Sawicz on 2016-09-22
30
This bug affects 6 people
Affects Status Importance Assigned to Milestone
Canonical System Image
High
Michał Sawicz
Mir
Fix Released
High
Andreas Pokorny
0.24
Fix Released
High
Andreas Pokorny
mir (Ubuntu)
High
Andreas Pokorny
qtmir (Ubuntu)
High
Lukáš Tinkl
unity8 (Ubuntu)
High
Lukáš Tinkl

Bug Description

Split out from bug #1611859:

Steps:
* connect a BT or a physical keyboard
* wipe or remove ~/.config/ubuntu-system-settings/wizard-has-run* and reboot
* go through the wizard

Expected:
* I can use the selected layout in the wizard
* and in snap decisions

Current:
* you can only use us layout in the shell

ProblemType: Bug
DistroRelease: Ubuntu 16.04
Package: unity8 8.14+16.04.20160914-0ubuntu1 [origin: LP-PPA-ci-train-ppa-service-landing-078]
ProcVersionSignature: Ubuntu 4.4.0-38.57-generic 4.4.19
Uname: Linux 4.4.0-38-generic x86_64
NonfreeKernelModules: zfs zunicode zcommon znvpair zavl
ApportVersion: 2.20.1-0ubuntu2.1
Architecture: amd64
CurrentDesktop: Unity
Date: Thu Sep 22 10:07:47 2016
InstallationDate: Installed on 2016-05-06 (138 days ago)
InstallationMedia: Ubuntu 16.04 LTS "Xenial Xerus" - Release amd64 (20160420.1)
SourcePackage: unity8
UpgradeStatus: No upgrade log present (probably fresh install)

Related branches

Michał Sawicz (saviq) wrote :
Changed in unity8 (Ubuntu):
status: New → Triaged
importance: Undecided → High
assignee: nobody → Lukáš Tinkl (lukas-kde)
Changed in canonical-devices-system-image:
status: New → Triaged
importance: Undecided → High
assignee: nobody → Michał Sawicz (saviq)
milestone: none → 14
Changed in unity8 (Ubuntu):
status: Triaged → In Progress
Changed in qtmir (Ubuntu):
assignee: nobody → Lukáš Tinkl (lukas-kde)
status: New → In Progress
importance: Undecided → High
Changed in mir (Ubuntu):
assignee: nobody → Andreas Pokorny (andreas-pokorny)
Changed in mir (Ubuntu):
status: New → In Progress
Changed in canonical-devices-system-image:
status: Triaged → In Progress
Changed in mir:
status: New → In Progress
importance: Undecided → High
assignee: nobody → Andreas Pokorny (andreas-pokorny)
Changed in mir (Ubuntu):
importance: Undecided → High
status: In Progress → Triaged
Changed in mir:
milestone: none → 0.25.0
Mir CI Bot (mir-ci-bot) wrote :

Fix committed into lp:mir at revision None, scheduled for release in mir, milestone 0.25.0

Changed in mir:
status: In Progress → Fix Committed
Changed in mir:
milestone: 0.25.0 → 0.24.1
Daniel van Vugt (vanvugt) wrote :

Fix committed to lp:mir/0.24 at revision 3630, scheduled for release in Mir 0.24.1

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package mir - 0.24.1+16.10.20160928-0ubuntu1

---------------
mir (0.24.1+16.10.20160928-0ubuntu1) yakkety; urgency=medium

  * New upstream release 0.24.1 (https://launchpad.net/mir/+milestone/0.24.1)
    - ABI summary:
      . All ABI numbers remain unchanged.
      . mircommon ABI at 6, but now including a symbol misplaced in 0.24.0
    - Bugs fixed:
      . mirserver ignored further keymap configuration changes after a keyboard
        is configured (LP: #1626435)
      . fix for libmircommon.so.6 ABI break: version stanza of
        mir::dispatch::ReadableFd* moved to newer version (LP: #1617865)
      . clang builds fail (again) (LP: #1609612)
      . Valgrind errors in NesterServer.* cause subsequent tests
        (ServerDisconnect, ServerStartup, UnresponsiveClient) to fail
        (LP: #1612012)
      . Break potentially infinite loop in search for next session to focus
        (LP: #1625401)

 -- Andreas Pokorny <email address hidden> Wed, 28 Sep 2016 12:09:49 +0000

Changed in mir (Ubuntu):
status: Triaged → Fix Released
Michał Sawicz (saviq) on 2016-11-07
Changed in canonical-devices-system-image:
milestone: 14 → backlog
no longer affects: mir/0.25
Changed in mir:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package unity8 - 8.15+17.04.20170124-0ubuntu1

---------------
unity8 (8.15+17.04.20170124-0ubuntu1) zesty; urgency=medium

  [ Albert Astals Cid ]
  * Limit tab-focus travelling on dialogs with a fence
  * Restore focus to where it was when our ShellDialogs get unloaded
  * Update current session after changing the user
  * Add keyboard navigation for Indicators
  * a window -> the current window
  * There's no spreadDelegate_ anymore

  [ Daniel d'Andrada ]
  * Simplify DecoratedWindow
  * Remove unnecessary warning message

  [ Josh Arenson ]
  * Add a test for the session chooser icon in the greeter's sessions
    list

  [ Lukáš Tinkl ]
  * Fix keymap not being applied on the shell itself (LP: #1626435)
  * Shell dialog improvements (kbd focus, mouse eater)
  * Start searching directly as you type, w/o having to first
    focus/click the search field.
  * Add a test for the real implementation of WindowStateStorage
  * Use a four finger gesture to open the drawer, much like in u7

  [ Michael Terry ]
  * Simplify the lightdm mock to make future greeter improvements easier
    to test.
  * Add support for guest sessions in unity8-greeter.
  * Use a model for PAM prompts, supporting more possible interactions.
  * Fix grouping of autopkg output and allow optionally passing
    arguments to installed test scripts.
  * Add support for LightDM hints for manual logins and hiding normal
    users.

  [ Michael Zanetti ]
  * hint the launcher to indicate a successful size change to the user
    (LP: #1646457)
  * Improvements for the appdrawer (LP: #1648173)
  * Adjust home key to still focus the dash instead of messing with the
    drawer
  * allow 4 finger simulation with mousetouchadaptor

  [ Nick Dedekind ]
  * Added Alt+F10 shortcut to open app menus. (LP: #1656896)
  * Fixed menu layout width calculations. (LP: #1657050)
  * Skip Panel::test_drag_indicator_item_down_shows_menu

 -- Michał Sawicz <email address hidden> Tue, 24 Jan 2017 07:46:58 +0000

Changed in unity8 (Ubuntu):
status: In Progress → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package qtmir - 0.5.1+17.04.20170124-0ubuntu1

---------------
qtmir (0.5.1+17.04.20170124-0ubuntu1) zesty; urgency=medium

  [ Gerry Boland ]
  * Recalculate MirSurface.visible after first frame swap by client (LP:
    #1649077)

  [ Lukáš Tinkl ]
  * Some assorted cleanups and small optimizations
  * Apply default device keymap (LP: #1626435)

 -- Michał Sawicz <email address hidden> Tue, 24 Jan 2017 07:38:05 +0000

Changed in qtmir (Ubuntu):
status: In Progress → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Duplicates of this bug

Other bug subscribers